<div class="container">
  <% if user_signed_in? %>
    <center>
      <p class="table"><%= image_tag current_user.avatar.url(:medium) %></p><p class="text-info">Name: | <%= current_user.first_name%> <%= current_user.last_name%> |<br/> Contact: | <%= current_user.phone_number%> | </p>
    </center>
  <% else %>
    <div class="container">
      <table class="table">
        <tr>
          <th class="text-info">title</th>
          <th class="text-info">content</th>
          <th class="text-info">pictures</th>
        </tr>
        <% @posts.each do |post| %>
          <tr>
            <td><%= link_to "#{ post.title}", show_when_session_destroy_post_path(post), class:"text-primary" %>
            </td>
            <td class="text-primary"><%= post.content.first(10) %></td>
            <td><%= image_tag(post.pictures.last.avatar.url(:thumb))%></td>
          </tr>
        <% end %>
      </table>
    </div>
  <% end %>
</div>


